Bug 39434 - App Center needs to cache (and use) categories.ini
App Center needs to cache (and use) categories.ini
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UNSTABLE
Other All
: P5 normal (vote)
: UCS 4.1
Assigned To: Felix Botner
Dirk Wiesenthal
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 18:08 CEST by Dirk Wiesenthal
Modified: 2015-11-17 12:11 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2015-09-29 18:08:36 CEST
The 4.1 App Center makes a good Job working offline. But it still needs to query online categories.ini to translate the categories. We need to download it and use it. Overwrite it on

univention-app update
Comment 1 Dirk Wiesenthal univentionstaff 2015-09-29 18:48:25 CEST
This Bug should be used to also verify that the App Center can work offline.

This is useful in postinst and UCR Templates.
Comment 2 Felix Botner univentionstaff 2015-10-15 16:21:57 CEST
categories.ini is already cached locally in /var/cache/univention-appcenter/.categories.ini.

Just fixed _download_supra_files to not overwrite the local .categories.ini if appcenter server is not reachable.

And moved self._extract_local_archive before self._download_supra_files (first process local archive then try to update from server).
Comment 3 Dirk Wiesenthal univentionstaff 2015-11-02 12:31:26 CET
OK, works as expected. Added changelog entry
Comment 4 Stefan Gohmann univentionstaff 2015-11-17 12:11:32 CET
UCS 4.1 has been released:
 https://docs.software-univention.de/release-notes-4.1-0-en.html
 https://docs.software-univention.de/release-notes-4.1-0-de.html

If this error occurs again, please use "Clone This Bug".